h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

/* BLACK BACKGROUND AROUND THE PAGE */
body {
    width: 100%;
    margin: 0;
    padding: 0;
    background: #000;
    font-family: -apple-system, BlinkMacSystemFont, "SF Pro Text", "Helvetica Neue", Helvetica, Arial, "Segoe UI", Roboto, sans-serif;
}

/* CENTER WHITE PAGE WITH 20% MARGINS (60% WIDTH) */
.page {
    margin: 0;
    padding: 0;
    background: #fff;
    min-height: 100vh;
}

/* RESPONSIVE BANNER */
.banner {
    height: 250px;
    width: 100%;
    background-image: url("/Assets/images/IAMF_Banner.png");
    background-size: 101% 250px; /* scales image to device size */
    background-repeat: no-repeat;
    background-position: center;
    position: relative; /* needed for overlay positioning */
    padding: 0;
}

/* EVENT TITLE */
.banner-text.title {
    position: absolute;
    text-align: left;
    top: 50%;
    transform: translateY(-50%);
    left: 7rem;
}

    .banner-text.title img {
        height: auto;
        width: 125%;
    }

.banner-text.separator {
    text-align: center;
}

    .banner-text.separator img {
        display: absolute;
        margin-top: 4rem;
        margin-left: -2rem;
    }


/* TEXT OVER IMAGE ON DESKTOP */
.banner-text.overlay {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    text-align: right;
    color: white;
    font-size: 1rem;
    letter-spacing: 3px;
}

/* TEXT BLOCK BELOW IMAGE FOR SMALL SCREENS */
.banner-text.mobile-only {
    display: none;
    padding: 1.5rem;
    background-size: cover;
    text-align: right;
    color: #000;
    font-size: 1.2rem;
    letter-spacing: 3px;
}

/* MAIN CONTENT */
.content {
    padding-top: 0;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-bottom: 2rem;
}

    .content.sectiontitle {
        font-weight: bold;
        text-align: center;
    }

.smallprint {
    font-size: 0.7rem;
    font-style: italic;
}

.fieldpadding {
    margin-top: 10px;
}

.columnpadding {
    padding-right: 20px;
}

.bottomborderonly {
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 1px solid black;
}

textarea {
    width: 400px;
    height: 200px;
    font-family: monospace; /* Ensures consistent row height */
    font-size: 16px;
    line-height: 24px; /* Controls row height */
    padding: 4px;
    border: 1px solid #333;
    resize: none;
    background-image: repeating-linear-gradient( to bottom, white, white 23px, #ccc 24px );
    background-clip: padding-box;
    overflow-y: auto;
}

.submitbutton {
    text-align: right;
}

/* MOBILE BEHAVIOR */
@media (max-width: 700px) {
    body {
        width: 100%;
        margin: 0;
        padding: 0;
    }

    /* PAGE widens to prevent tiny content area */
    .page {
        width: 100%;
        margin: 0;
        padding: 0;
        border: 2px solid red;
    }

    /* Banner becomes shorter on phones */
    .banner {
        height: 250px;
        background-size: 1000px 250px;
    }

    .banner-text.title {
        position: relative;
        text-align: center;
        width: 100%;
        left: 0rem;
    }

        .banner-text.title img {
            display: relative;
            height: auto;
            width: 75%;
        }

    .banner-text.separator img {
        display: none;
    }

    /* Hide overlay text on phones */
    .banner-text.overlay {
        display: none;
    }

    /* Show text below the image on phones */
    .banner-text.mobile-only {
        display: block;
        color: #000; /* white text stays on banner; below-banner uses black */
        font-size: 0.9rem;
        letter-spacing: 2px;
        text-align: center;
    }

    .content {
        padding-top: 0;
        padding-left: 2rem;
        padding-right: 2rem;
        padding-bottom: 2rem;
    }
}

/* TABLET BEHAVIOR */
@media (min-width: 768px) {
    body {
        width: 100%;
    }

    .page {
        width: 90%;
        margin:0;
        /*border: 2px solid orange;*/
    }
}

/* DESKTOP BEHAVIOR */
@media (min-width: 1200px) {
    body {
        width: 100%;
    }

    .page {
        width: 52vw;
        margin: 0 auto;
        /*border: 2px solid green;*/
    }
}